# Game Of Life - conway_engine

Welcome to `conway_engine`, a visual representation of Conway's Game of Life.

## Build from source

If you want to use features that are currently in development, or you want to contribute to conway_engine, you will need to build conway_engine locally from its source code, rather than pip installing it.
Installing from source is fairly automated.
For detailed installation instructions, please visit the [GitHub Repository](https://github.com/vivekkdagar/conway_engine/tree/main?tab=readme-ov-file#installation).

## Usage

### Running

To run the simulation, use the command:
```bash
game-of-life
```

### Command-line Arguments

Access additional documentation on the GitHub README page using:
```bash
game-of-life --i
```

### Keyboard Shortcuts

- **Spacebar:** Start/Pause the simulation.
- **'c' Key:** Clear the grid.
- **'g' Key:** Generate a random set of cells for explosive growth.
- **Mouse Left Click:** Toggle the state of a cell.
- **Mouse Right Click:** Remove a cell.

## Acknowledgements

- [Pygame Library](https://pypi.org/project/pygame/): Streamlining graphics and user interaction.
- [John Conway's Game of Life](https://en.wikipedia.org/wiki/John_Horton_Conway/): Inspiration for the cellular automaton.
- [Gosper Glider Gun Pattern](https://conwaylife.com/wiki/Gosper_glider_gun): Adding complexity and visual interest.
